Bug 882240 - [abrt] libreoffice-core-3.5.7.2-6.fc17: SfxUndoManager::ImplAddUndoAction_NoNotify killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-3.5.7.2-6.fc17: SfxUndoManager::ImplAddUndoAction_NoN...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:06e8c5a783441c35e9b2fe9fa17...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 08:35 EST by Aydin Demirel
Modified: 2012-12-17 21:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 21:42:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.83 KB, text/plain)
2012-11-30 08:35 EST, Aydin Demirel
no flags Details
File: environ (1.94 KB, text/plain)
2012-11-30 08:35 EST, Aydin Demirel
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-30 08:35 EST, Aydin Demirel
no flags Details
File: backtrace (47.36 KB, text/plain)
2012-11-30 08:35 EST, Aydin Demirel
no flags Details
File: cgroup (128 bytes, text/plain)
2012-11-30 08:35 EST, Aydin Demirel
no flags Details
File: smolt_data (3.32 KB, text/plain)
2012-11-30 08:35 EST, Aydin Demirel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 47283 None None None Never

  None (edit)
Description Aydin Demirel 2012-11-30 08:35:09 EST
Description of problem:
I have just worked a presentation document.

Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress '/home/aydin/Belgeler/Centrify/Centrify_Belgelerim/E\xc4\x9fitim/Standart_Edition/Mod\xc3\xbcl_3.otp' --splash-pipe=6
crash_function: std::__throw_bad_alloc
kernel:         3.6.7-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 std::__throw_bad_alloc at ../../../../../libstdc++-v3/src/c++11/functexcept.cc:54
: #7 allocate at /usr/include/c++/4.7.2/ext/new_allocator.h:92
: #8 _M_allocate at /usr/include/c++/4.7.2/bits/stl_vector.h:169
: #9 _M_allocate_and_copy<__gnu_cxx::__normal_iterator<int const*, std::vector<int> > > at /usr/include/c++/4.7.2/bits/stl_vector.h:1109
: #10 std::vector<int, std::allocator<int> >::operator= at /usr/include/c++/4.7.2/bits/vector.tcc:186
: #11 operator= at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngx6.pro/inc/svl/undo.hxx:95
: #12 __copy_move_b<MarkedUndoAction*, MarkedUndoAction*> at /usr/include/c++/4.7.2/bits/stl_algobase.h:531
: #13 __copy_move_backward_a<false, MarkedUndoAction*, MarkedUndoAction*> at /usr/include/c++/4.7.2/bits/stl_algobase.h:581
: #14 __copy_move_backward_a2<false, MarkedUndoAction*, MarkedUndoAction*> at /usr/include/c++/4.7.2/bits/stl_algobase.h:590
: #15 copy_backward<MarkedUndoAction*, MarkedUndoAction*> at /usr/include/c++/4.7.2/bits/stl_algobase.h:625
Comment 1 Aydin Demirel 2012-11-30 08:35:14 EST
Created attachment 655013 [details]
File: core_backtrace
Comment 2 Aydin Demirel 2012-11-30 08:35:16 EST
Created attachment 655014 [details]
File: environ
Comment 3 Aydin Demirel 2012-11-30 08:35:18 EST
Created attachment 655015 [details]
File: limits
Comment 4 Aydin Demirel 2012-11-30 08:35:22 EST
Created attachment 655016 [details]
File: backtrace
Comment 5 Aydin Demirel 2012-11-30 08:35:29 EST
Created attachment 655017 [details]
File: cgroup
Comment 6 Aydin Demirel 2012-11-30 08:35:32 EST
Created attachment 655018 [details]
File: smolt_data
Comment 7 Caolan McNamara 2012-12-06 11:24:27 EST
caolanm->mstahl: is this the same as fdo#47283 ? i.e. worth backporting that to F-17
Comment 8 Michael Stahl 2012-12-06 11:44:38 EST
same thing, pushed Stephan's patch to f17
Comment 9 Fedora Update System 2012-12-07 04:53:33 EST
libreoffice-3.5.7.2-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-7.fc17
Comment 10 Fedora Update System 2012-12-09 00:56:44 EST
Package libreoffice-3.5.7.2-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.7.2-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20002/libreoffice-3.5.7.2-7.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-12-17 21:42:24 EST
libreoffice-3.5.7.2-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.